# encoding: UTF-8
=begin
(c) TIG 2023
###
All rights reserved.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES; 
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
FITNESS FOR A PARTICULAR PURPOSE.
###
ContainerNameMaterial.rb
Sets up ContainerNameMaterialCode.rb in ContainerNameMaterial subfolder.
v1.0.0 20230126 First release.
=end
###
module TIG
  module ContainerNameMaterial
    NAME = File.basename(__FILE__, ".*") ###"ContainerNameMaterial"
    PLUGINS = File.dirname(__FILE__)
    FOLDER  = File.join(PLUGINS, NAME)
    ###
    #IS_WIN=(RUBY_PLATFORM.downcase =~ /mswin|mingw/) != nil
    #IS_MAC=(RUBY_PLATFORM.downcase =~ /darwin/) != nil
    ###
    CREATOR = "TIG"
    COPYRIGHT = "#{CREATOR} © #{Time.now.year}"
    VERSION = "1.0.0"
    DESC = "Tool to set the name of selected Containers [Groups and Instances] [an any nested Containers] after their Materials, if any."
    ###
    EXT = SketchupExtension.new(NAME, File.join(FOLDER, "ContainerNameMaterialCode"))
    EXT.name = NAME
    EXT.description = "#{NAME}: #{DESC}}"
    EXT.version = VERSION
    EXT.creator = CREATOR
    EXT.copyright = COPYRIGHT
    ext = Sketchup.register_extension(EXT, true) # show on 1st install
  end#module
end#module
